[Git][java-team/eclipse-jdt-core][master] Package the ecj command line tool

Emmanuel Bourg (@ebourg) gitlab at salsa.debian.org
Fri Jan 6 10:56:37 GMT 2023



Emmanuel Bourg pushed to branch master at Debian Java Maintainers / eclipse-jdt-core


Commits:
04ce0f33 by Emmanuel Bourg at 2023-01-06T11:53:35+01:00
Package the ecj command line tool

- - - - -


10 changed files:

- debian/changelog
- debian/control
- + debian/ecj.install
- + debian/ecj.manpages
- + debian/ecj.postinst
- + debian/ecj.prerm
- + debian/patches/01-fix-manpage.patch
- + debian/patches/series
- debian/rules
- + debian/wrappers/ecj


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,9 @@
+eclipse-jdt-core (4.26-2) unstable; urgency=medium
+
+  * Package the ecj command line tool (migrated from the src:ecj package)
+
+ -- Emmanuel Bourg <ebourg at apache.org>  Fri, 06 Jan 2023 11:47:04 +0100
+
 eclipse-jdt-core (4.26-1) unstable; urgency=medium
 
   * New upstream release


=====================================
debian/control
=====================================
@@ -183,3 +183,33 @@ Description: Eclipse Java Development Tools Core
   * Source code formatter
  .
  This package contains the org.eclipse.jdt.core bundle.
+
+Package: ecj
+Architecture: all
+Depends:
+ ${misc:Depends},
+ default-jre-headless (>= 2:1.11) | java11-runtime-headless,
+ libeclipse-jdt-core-java,
+ java-wrappers,
+Suggests: ant
+Description: Eclipse Compiler for Java (command line tool)
+ Eclipse JDT Core is the Java infrastructure of the Eclipse Java IDE.
+ It includes:
+  * An incremental Java compiler. Implemented as an Eclipse builder, it is based
+    on technology evolved from VisualAge for Java compiler. In particular, it
+    allows one to run and debug code which still contains unresolved errors.
+  * A Java Model that provides API for navigating the Java element tree.
+    The Java element tree defines a Java centric view of a project. It surfaces
+    elements like package fragments, compilation units, binary classes, types,
+    methods, fields.
+  * A Java Document Model providing API for manipulating a structured Java
+    source document.
+  * Code assist and code select support.
+  * An indexed based search infrastructure that is used for searching, code
+    assist, type hierarchy computation, and refactoring. The Java search engine
+    can accurately find precise matches either in sources or binaries.
+  * Evaluation support either in a scrapbook page or a debugger context.
+  * Source code formatter
+ .
+ This package contains the standalone ecj command line tool usable
+ as an alternative to javac.


=====================================
debian/ecj.install
=====================================
@@ -0,0 +1 @@
+debian/wrappers/ecj      /usr/bin/


=====================================
debian/ecj.manpages
=====================================
@@ -0,0 +1 @@
+org.eclipse.jdt.core/scripts/ecj.1


=====================================
debian/ecj.postinst
=====================================
@@ -0,0 +1,8 @@
+#! /bin/sh
+
+set -e
+
+update-alternatives --quiet --install /usr/bin/javac javac /usr/bin/ecj 143 \
+  --slave /usr/share/man/man1/javac.1.gz javac.1.gz /usr/share/man/man1/ecj.1.gz
+
+#DEBHELPER#


=====================================
debian/ecj.prerm
=====================================
@@ -0,0 +1,7 @@
+#! /bin/sh
+
+set -e
+
+update-alternatives --quiet --remove javac /usr/bin/ecj
+
+#DEBHELPER#


=====================================
debian/patches/01-fix-manpage.patch
=====================================
@@ -0,0 +1,20 @@
+Description: Fixes the manpage
+Author: Emmanuel Bourg <ebourg at apache.org>
+Forwarded: https://github.com/eclipse/eclipse.jdt.core/pull/12
+--- a/org.eclipse.jdt.core/scripts/ecj.1
++++ b/org.eclipse.jdt.core/scripts/ecj.1
+@@ -1,4 +1,4 @@
+-.TH ecj "13 March 2017"
++.TH ecj 1 "13 March 2017"
+ .LP
+ .SH NAME
+ ecj \- the eclipse JDT Batch Compiler
+@@ -19,7 +19,7 @@
+ .ul
+ Module Options
+ .sp
+-.B --add-exports \--add-modules \--add-reads \--limit-modules \-p|--module-path \--module-source-path \ --processor-module-path \--system
++.B \--add-exports \--add-modules \--add-reads \--limit-modules \-p|--module-path \--module-source-path \ --processor-module-path \--system
+ .sp
+ .ul
+ ClassPath Options


=====================================
debian/patches/series
=====================================
@@ -0,0 +1 @@
+01-fix-manpage.patch


=====================================
debian/rules
=====================================
@@ -8,3 +8,7 @@ include /usr/share/dpkg/pkg-info.mk
 override_dh_gencontrol:
 	# Use the bundle versions as package versions
 	awk 'system("dh_gencontrol -p"$$4" -- -v"$$2"+eclipse$(DEB_VERSION)")' debian/bundles.properties
+
+	# Use the version of org.eclipse.jdt.core bundle for the ecj command line tool
+	#export ECJ_VERSION=${shell grep org.eclipse.jdt.core debian/bundles.properties | cut -f 2}
+	dh_gencontrol -pecj -- -v${shell grep org.eclipse.jdt.core debian/bundles.properties | cut -f 2}+eclipse$(DEB_VERSION)


=====================================
debian/wrappers/ecj
=====================================
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# Include the wrappers utility script
+. /usr/lib/java-wrappers/java-wrappers.sh
+
+find_java_runtime
+
+JAVA_CLASSPATH=/usr/share/java/eclipse-jdt-core.jar
+
+run_java org.eclipse.jdt.internal.compiler.batch.Main "$@"



View it on GitLab: https://salsa.debian.org/java-team/eclipse-jdt-core/-/commit/04ce0f335de0c076bff72611b40c584a2de19a41

-- 
View it on GitLab: https://salsa.debian.org/java-team/eclipse-jdt-core/-/commit/04ce0f335de0c076bff72611b40c584a2de19a41
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-java-commits/attachments/20230106/f9534a2e/attachment.htm>


More information about the pkg-java-commits mailing list